Unity Games Working On Linux (User Ported)

From GamingOnLinux.com Linux Games Wiki
Jump to: navigation, search

The aim for this page is to be a community driven project that is work in progress and hopefully should show a list of games that will and will not work on Linux from porting it manually.

Warning: Some games may end up not working in future, so buy with care!

Unity files

Manually extracting under Wine or Windows

If you know what engine version the game uses (one way is to try to launch the game with a wrong exectutable, the requested version will be shown as a latter in terminal), you can extract the required Linux files manually. For this you need to unpack the appropriate UnitySetup-Linux-Support-for-Editor-version.exe and extract the files.

One way to do is to that with 7-zip archiver. If you can't locate the UnitySetup-Linux-Support-for-Editor-version.exe file, one way to obtain it is to download the Unity Editor Download Assistant and try to install the Linux player on your system (you can uncheck all other options including Unity Editor itself, to avoid downloading them needlessly). The appropriate UnitySetup-Linux-Support-for-Editor-version.exe file will be downloaded and saved to your computer's/Wine %TEMP% folder before installation, even if they won't be installed due to error. You can find all the archived Unity versions in one of these places:

Games

Yes or No results are dependant on if the game is actually playable as if it were native. Any issues such as textures are marked as a firm "No."

Most games are capable of working by just downloading the correct Unity versions, changing the name of the "player.x86" files to match the existing .exe and placing "Plugins" and the "Mono" folder in the _Data folder. The rest is generally not needed. Some games like My Summer Car have guides to add mods or just general help.

Game Name Game Version Tested Unity Version Working Reason (if no) Last Tested Guide/Support
Contract Wars Client 1.6790 4.1.5f1 No Game launches fine, but after logging in, the game fails to load with the "PROFILE LOAD FAILED Check your Internet connection (proxy, ports, antivirus/firewall) or reload page with the game" error. 1st November 2017 Used the files from the Mirror 1 – make sure to not replace any files
Escape from Tarkov 0.4.0.580 5.6.3p3 No Version 0.2.45.214 worked, later versions removed Vulkan renderer, leaving only D3D11, making the game not launching 1st November 2017 Official Forums
My Summer Car Update 29.05.2017 5.0.0f4 Yes 31st May 2017 Steam Forums
The Forest V0.61C 5.1.5f1 No Doesn't let you launch into a new game 31st May 2017
Jalopy 0.811 4.5.3f3 Yes 31st May 2017 Steam Forums, GitHub Gist
Her Story gog-1 5.0.1f1 No Uses AVPro Windows Media Plugin for videos 17th September 2017

Old tests, which may/may not work today (source)

Work

  • 1954 Alcatraz (4.0.1f2)
  • Coldfire Keep (4.3.4f1)
  • Dead Bits (4.1.3f3)
  • DeadEffect (4.6.0f3)
  • Depths of Fear Knossos (4.6.1f1)
  • Final Dusk (4.6.1f1)
  • Gravi (4.5.5f1)
  • Huntsman The Orphanage (4.2.2f1 needs LD_LIBRARY_PATH for libsteam.api.so)
  • Last Inua (4.2.2f1)
  • Lifeless Planet (4.6.7f1)
  • Once Bitten, Twice Dead! (4.6.1f1)
  • Overcast – Walden and the Werewolf (4.1.3f3)
  • PaperSorcerer (4.1.5f1)
  • Red Lake (4.3.4f1)
  • StickItToTheMan (4.3.2f1)
  • The Dead Linger (4.6.0b20 Some black textures)
  • The Hat Man Shadow Ward (4.3.4f1)
  • Train Town (4.5.0f6)
  • Urja (4.5.4f1)
  • YearWalk (4.5.5f1)
  • Games Having Trouble

Sort of work, but non-enjoyable

  • Air Buccaneer (4.2.0f4 can’t connect to network?)
  • BridgeProject (4.5.3f3 x86 crashes, x86_64 does not accept input)
  • Dead Island Epidemic (4.6.1f1 libs missing, among them http://www.squaretangle.com/FMODUnity.html)
  • Deus Ex The Fall (4.3.4f1 needs LD_LIBRARY_PATH for libsteam.api.so; Wwise sound engine wrong version, playable)
  • Empyrion – Galactic Survival (5.2.3f1 hanging?)
  • Joe Dever’s Lone Wolf (4.5.4f1 self-written plugins)
  • Melissa K and the Heart of Gold (4.5.3f3 hanging?)
  • Might & Magic X – Legacy (4.2.2f1 hanging?)
  • realMyst Masterpiece Edition (4.5.5p4 broken menu, needs uWebKit)
  • Slender – The Arrival (4.5.1p3 Texture problems, playable)

Shader Issues

The following games all have shader problems. Which basically means you would need to decompile Managed/Assembly-CSharp.dll and replace the shaders to use there, or to extract the .asset-files and create them anew. Some of these games are playable as they are, but certain things will show up pink.

  • Astral Terra (5.1.2f1 Shader Problems)
  • Avenging Angel (5.1.0f3 Shader problems)
  • Godus Wars (5.2.2f1 Shader problems)
  • GunsNZombies (5.2.2f1 Shader problems, crashes)
  • Reign Of Kings (5.1.1p2 Shader problems, needs LD_LIBRARY_PATH for libsteam.api.so)
  • StarForge (4.5.5f1 Shader problems, needs LD_LIBRARY_PATH for libsteam.api.so)
  • The Forest (5.1.3p3 Shader problems)
  • The Tower (5.1.2f1 Shader problems)
  • Treeker – The Lost Glasses (5.1.2f1 Shader problems, playable)

Broken on Purpose

  • BlockStory (4.6.8f1 Steam-Error: “Not available on your current platform”)
  • Magnetic Cage Closed (4.3.4f1 Steam-Error: “Not available on your current platform”)
  • Republique (5.2.2p4 Steam-Error: “Not available on your current platform”)
  • Stranded Deep (5.2.2f1 Steam-Error: “Not available on your current platform”)
  • Subnautica (5.2.3f1 Steam-Error: “Not available on your current platform”)

Unsupported

  • Blackguards (3.5.6f4)
  • Cognition (3.5.7f6)
  • Commander Jack (3.5.7f6)
  • creavures (3.4.2f2)
  • Dementium 2 (3.5.7f6)
  • Dungeonland (3.5.6f4)
  • DysanTheShapeshifter (3.4.2f2)
  • Seamulator 2009 (2.1.0f5)
  • ShadO (3.5.2f2)
  • Shelter (3.5.7f6)
  • Theatre Of The Absurd (3.5.0f5)
  • Them – The Summoning (3.4.2f2)
  • The Witcher Enhanced Edition (3.5.2f2)
  • Truffle Saga (3.5.7f6)
  • UnearthedEpisode1 (3.5.7b1)

External links